int numCircles = 20;

float [] circleX = new float[numCircles];
float [] circleY = new float[numCircles];

float [] hue = new float[numCircles];

void setup()
{
  size(400, 400); 
  colorMode(HSB, 360, 100, 100);
  pickLocations();
  pickColors(0, 50);
}


int add2(int original)
{
   return original + 2; 
}

boolean pickColors(int minHue, int maxHue)
{
  println("minHue = " + minHue + " maxHue = " + maxHue);
  
    //check for valid range in which the min is less than the max
    if(minHue < maxHue)
    {
      for(int i = 0; i < hue.length; i++)
      {
        hue[i] = random(minHue, maxHue);
      }
      return true; //success!
    }
    else
    {
      return false; //did not succeed!
    }
}

void pickLocations()
{
  //for every element in the array circleX..
  for(int i = 0; i < circleX.length; i++)
  {
    circleX[i] = random(0, width);
    circleY[i] = random(0, width);
  }
}

void draw()
{
  background(0);
  
  for(int i = 0; i < circleX.length; i++)
  {
     fill(hue[i], 100, 100);
     ellipse(circleX[i], circleY[i], 50, 50); 
  }
}

void mouseClicked()
{
  boolean success = pickColors((int)random(0, 360), (int)random(0, 360));
  if(success)
   pickLocations(); //pick new random locations for all circle positions
   
   println(add2(5));
}