
int numPixels = 360000;

int [] hues = new int[numPixels];

void pickColors(int minHue, int maxHue)
{
  for(int i = 0; i < numPixels; i++)
  {
     hues[i] = (int)random(minHue, maxHue); 
  }
}

void setup()
{
  size(600, 600);
  //noStroke();
  colorMode(HSB, 360, 100, 100);
  pickColors(180, 230); //pick blue-ish
}

void draw()
{
  background(0);
  pickColors(0, 50); //pick red-ish
  //draw every pixel on the canvas with a nested loop
  for(int i = 0; i < width; i++)
  {
    for(int j = 0; j < height; j++)
    {
      int n = i + j*height; // 0 to 360000-1
      stroke(hues[n], 100, 100);
      point(i, j);
    }
  }
}

void mouseClicked()
{
   int maxHue = (int)map(mouseX, 0, width, 0, 360);
   pickColors(maxHue-100, maxHue); 
}
  
  